# -*- coding: utf-8 -*-
from setuphelpers import *
import json

def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    api_url = "https://sourceforge.net/projects/dia-installer/best_release.json"

    # Getting latest version information from official sources
    print("API used is: %s" % api_url)
    json_load = json.loads(wgets(api_url, proxies=proxies))
    for download in json_load["platform_releases"]:
        if ".deb" in json_load["platform_releases"][download]["filename"]:
            version = json_load["platform_releases"][download]["filename"].split("/")[-2]
            download_url = json_load["platform_releases"][download]["url"]

            latest_bin = download_url.split("/")[-1].split("?")[0]
            break

    print("Latest %s version is: %s" % (control.name, version))
    print("Download URL is: %s" % download_url)

    # Deleting outdated binaries
    remove_outdated_binaries(version)

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)

    control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating update-package-sources
    return result